org.firebirdsql.gds.ng.wire.crypt

## Class EncryptionIdentifier

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.EncryptionIdentifier

-     public final class EncryptionIdentifier
      extends java.lang.Object

  Identifier of an encryption type + plugin.
  Since:
    3.0.4
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptionIdentifier(java.lang.String type, java.lang.String pluginName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getPluginName()` Name of the plugin (or cipher).
    `java.lang.String` | `getType()` Type of encryption.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptionIdentifier

          public EncryptionIdentifier(java.lang.String type,
                                      java.lang.String pluginName)

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Type of encryption.

      For example: `"Symmetric"`.

      Returns:
        Encryption type

    - #### getPluginName

          public java.lang.String getPluginName()

      Name of the plugin (or cipher).

      For example: `"Arc4"`.

      Returns:
        Name of the plugin

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.